Access Profile API
Update Access Profile
Update an existing access profile.
PUT
/
v2
/
access-profiles
/
{id}
Update Access Profile
curl --request PUT \
--url https://public.api.serval.com/v2/access-profiles/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"matchingCriteria": {
"groups": {
"includedGroupIds": [
"<string>"
],
"excludedGroupIds": [
"<string>"
]
},
"currentTeam": {
"teamRoles": []
}
},
"grants": {
"appResourceRoles": [
{
"appResourceRoleId": "<string>"
}
],
"workflows": [
{
"workflowId": "<string>"
}
]
}
}
'import requests
url = "https://public.api.serval.com/v2/access-profiles/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"matchingCriteria": {
"groups": {
"includedGroupIds": ["<string>"],
"excludedGroupIds": ["<string>"]
},
"currentTeam": { "teamRoles": [] }
},
"grants": {
"appResourceRoles": [{ "appResourceRoleId": "<string>" }],
"workflows": [{ "workflowId": "<string>" }]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
matchingCriteria: {
groups: {includedGroupIds: ['<string>'], excludedGroupIds: ['<string>']},
currentTeam: {teamRoles: []}
},
grants: {
appResourceRoles: [{appResourceRoleId: '<string>'}],
workflows: [{workflowId: '<string>'}]
}
})
};
fetch('https://public.api.serval.com/v2/access-profiles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"teamId": "<string>",
"name": "<string>",
"description": "<string>",
"isTeamDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"matchingCriteria": {
"groups": {
"includedGroupIds": [
"<string>"
],
"excludedGroupIds": [
"<string>"
]
},
"currentTeam": {
"teamRoles": []
}
},
"grants": {
"appResourceRoles": [
{
"appResourceRoleId": "<string>",
"useTeamDefaultAccessProfile": true
}
],
"workflows": [
{
"workflowId": "<string>"
}
]
},
"builtinProfileType": "<string>"
}
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the access profile to update.
Body
application/json
Updated name. Omit or set to "" to leave unchanged.
Updated description. Omit to leave unchanged; set to "" to clear.
The rules that determine which users this profile applies to (replace-all semantics).
Show child attributes
Show child attributes
The grants provided by this profile (replace-all semantics).
Show child attributes
Show child attributes
Response
Success
An access profile defines which entitlements are available to which groups of users, and which workflows apply.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update Access Profile

